F-Secure Hydra Update or F-Secure Aquarius Update incompatible with my Steam Client. Need advice

Aspirant

Re: F-Secure Hydra Update or F-Secure Aquarius Update incompatible with my Steam Client. Need advice

You guys are providing answers so fast I don't even have time to complete my messages Smiley Very Happy Thanks for all the help!

 

The version in question is F-Secure Client Security 9.31 build 118

Superuser

Re: F-Secure Hydra Update or F-Secure Aquarius Update incompatible with my Steam Client. Need advice

Hello,

 

> F-Secure Client Security 9.31 build 118

 

This is an ancient version, has been unsupported for over 1.5 years and probably no longer receiving virus signature updates, so protection level against modern malware is about nil. Currently, F-Secure Client Security stands at version 11.6 for its most modern edition.

 

In short, there isn't much  benefit from keeping FS CS 9.31 on your computer. It's strange that an edu institution still distributes this old version?

 

Best Regards: Tamas Feher.

Aspirant

Re: F-Secure Hydra Update or F-Secure Aquarius Update incompatible with my Steam Client. Need advice

Whooops. Sounds like it's high time to switch to another F-Secure version in that case.

The university also provides a discount to all students who purchase the current version of F-Secure SAFE so guess I'll switch over to that one. I'll get in touch with the uni's computer centre asap and get my fellow student to change versions too.

 

Logically the originally issue regarding the game clients would also be solved by this. If not I'll keep you update through this thread.

 

Thanks for all the advice Tamas!